Get URL to envelope correction UI
Returns a URL that allows you to embed the envelope correction view of the DocuSign UI in your applications.
Important: iFrames should not be used for embedded operations on mobile devices due to screen space issues. For iOS devices DocuSign recommends using a WebView.
Authentication
Authorizationstring
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
accountId
The external account number (int) or account id GUID.
envelopeId
The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
Request
This endpoint expects an object: correctViewRequest
returnUrl
The url used after correct/send view session has ended. DocuSign redirects to the url and includes an event parameter that can be used by your app. The event parameters returned are:
- send (user corrected and sent the envelope)
- save (user saved the envelope)
- cancel (user canceled the transaction.)
- error (there was an error when performing the correct or send)
- sessionEnd (the session ended before the user completed a different action)
Note: Include https:// in the URL or the redirect might not succeed on some browsers.
viewUrl
Response
Successful response.
url
The view URL to be navigated to.
Errors
400
Bad Request Error